How do i load ActiveSupport::Multibyte


#1

Hi, i’m trying to use this method…

require ‘active_support’

class String
def translit
ActiveSupport::Multibyte::Handlers::UTF8Handler.normalize(self,:d).split(//u).reject
{ |e| e.length > 1 }.join
end
end

and everytime i run it, it crashes out with …

/Library/Ruby/Gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:442:in
load_missing_constant': uninitialized constant ActiveSupport::Multibyte::Handlers (NameError) from /Library/Ruby/Gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:77:inconst_missing’
from filter.rb:35

Now i’ve got active_support loaded so i should have access to the
Multibyte library, but obviously it needs something else, so how do i
work out what this dependency is and load it?

any ideas?